### Function

# Camel Sasl authtype_list

#### Declaration [src]

    GList*
    camel_sasl_authtype_list (
      gboolean include_plain
    )

#### Description

No description available.

#### Parameters

`include_plain`

  Type: `gboolean`

  Whether or not to include the PLAIN mechanism.

#### Return value

Type: A list of `CamelServiceAuthType*`

A `GList` of SASL-supported authtypes. The caller must free the list, but not the contents.

The caller of the function takes ownership of the data container, but not the data inside it.